Resource Center/Hardware/Primary Storage Operations
PUTPrimary Storage OperationsSince 0.6SynchronousAuth Required
UpdatePrimaryStorage
UpdatePrimaryStorage
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe primary storage UUID.
Body Fields
updateprimarystorageObjectRequiredupdateprimarystorage request body object.
nameStringOptional. The new name of the primary storage.
descriptionStringOptional. The new description of the primary storage.
urlStringOptional. The new URL of the primary storage.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/primary-storage/{uuid}/actions
/zstack/v1/primary-storage/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/primary-storage/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateprimarystorage":{"name":"<name>","description":"<description>","url":"<url>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "New PS1", "url": "/Cloud_ps", "type": "LocalStorage", "state": "Enabled", "status": "Connected", "attachedClusterUuids": [ "31d01fe839da465ca540292132b50209" ] } }Change History
This API has no change history records yet.
